package com.ruoyi.mall.domain.vo;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @ClassName IndexGoodsVO
 * @Description 请描述类的业务用途
 * @Author linlinee
 * @Date 2021/12/3 10:39 AM
 * @Version 1.0
 **/

public class IndexGoodsVO {

    /** 主键ID */
    private Long id;

    /** 商品名称 */
    private String goodsName;

    /** 商品标题 */
    private String goodsTitle;

    /** 商品分类ID */
    private Long classId;

    private String className;
    /** 是否是热卖产品 0 不是 1 是 */
    private String isCustom;

    /** logo图 */
    private String goodsImg;

    /** 默认邮费 */
    private BigDecimal postFee;

    /** 销量 */
    private Integer monthlySales;

    /** 库存 */
    private Integer stock;

    /** 规格详情 */
    private String spec;

    /** 参数详情 */
    private String param;

    /** 分享时的图片 */
    private String shareImg;

    /** 分享时的标题 */
    private String shareTitle;

    /** 现价 */
    private String price;

    /** 原价 */
    private String priceN;

    /** 默认规格 */
    private String productName;

    /** 规格详情列表 */
    private List<GoodsProductVO> proList;

    /** 商品评价列表 */
    private List<Map<String, Object>> commentList;

    /** 商品评价列表 */
    private int commentTotle;

    /** 标签 */
    private String tips;

    /** 收藏 */
    private String isCollect;
    /*
    * 轮播图
    * */
    private List<String> banners;

    /*
     * 详情图
     * */
    private List<String> detailUrl;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getIsCustom() {
        return isCustom;
    }

    public void setIsCustom(String isCustom) {
        this.isCustom = isCustom;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsTitle() {
        return goodsTitle;
    }

    public void setGoodsTitle(String goodsTitle) {
        this.goodsTitle = goodsTitle;
    }

    public Long getClassId() {
        return classId;
    }

    public void setClassId(Long classId) {
        this.classId = classId;
    }

    public String getGoodsImg() {
        return goodsImg;
    }

    public void setGoodsImg(String goodsImg) {
        this.goodsImg = goodsImg;
    }

    public BigDecimal getPostFee() {
        return postFee;
    }

    public void setPostFee(BigDecimal postFee) {
        this.postFee = postFee;
    }

    public Integer getMonthlySales() {
        return monthlySales;
    }

    public void setMonthlySales(Integer monthlySales) {
        this.monthlySales = monthlySales;
    }

    public Integer getStock() {
        return stock;
    }

    public void setStock(Integer stock) {
        this.stock = stock;
    }

    public String getSpec() {
        return spec;
    }

    public void setSpec(String spec) {
        this.spec = spec;
    }

    public String getParam() {
        return param;
    }

    public void setParam(String param) {
        this.param = param;
    }

    public String getShareImg() {
        return shareImg;
    }

    public void setShareImg(String shareImg) {
        this.shareImg = shareImg;
    }

    public String getShareTitle() {
        return shareTitle;
    }

    public void setShareTitle(String shareTitle) {
        this.shareTitle = shareTitle;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getPriceN() {
        return priceN;
    }

    public void setPriceN(String priceN) {
        this.priceN = priceN;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public List<GoodsProductVO> getProList() {
        return proList;
    }

    public void setProList(List<GoodsProductVO> proList) {
        this.proList = proList;
    }

    public List<String> getBanners() {
        return banners;
    }

    public void setBanners(List<String> banners) {
        this.banners = banners;
    }

    public List<String> getDetailUrl() {
        return detailUrl;
    }

    public void setDetailUrl(List<String> detailUrl) {
        this.detailUrl = detailUrl;
    }

    public List<Map<String, Object>> getCommentList() {
        return commentList;
    }

    public void setCommentList(List<Map<String, Object>> commentList) {
        this.commentList = commentList;
    }

    public int getCommentTotle() {
        return commentTotle;
    }

    public void setCommentTotle(int commentTotle) {
        this.commentTotle = commentTotle;
    }

    public String getIsCollect() {
        return isCollect;
    }

    public void setIsCollect(String isCollect) {
        this.isCollect = isCollect;
    }

    public String getTips() {
        return tips;
    }

    public void setTips(String tips) {
        this.tips = tips;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    @Override
    public String toString() {
        return "IndexGoodsVO{" +
                "id=" + id +
                ", goodsName='" + goodsName + '\'' +
                ", goodsTitle='" + goodsTitle + '\'' +
                ", classId=" + classId +
                ", goodsImg='" + goodsImg + '\'' +
                ", postFee=" + postFee +
                ", monthlySales=" + monthlySales +
                ", stock=" + stock +
                ", spec='" + spec + '\'' +
                ", param='" + param + '\'' +
                ", shareImg='" + shareImg + '\'' +
                ", shareTitle='" + shareTitle + '\'' +
                ", price='" + price + '\'' +
                ", priceN='" + priceN + '\'' +
                ", productName='" + productName + '\'' +
                '}';
    }
}
